ID del artículo: 000089086 Tipo de contenido: Compatibilidad Última revisión: 03/02/2022

Error encontrado al convertir la versión 2.4.1 del modelo TensorFlow* con el kit de herramientas OpenVINO™ 2020.3

Entorno

kit de herramientas OpenVINO™ 2020.3 , TensorFlow versión 2.4.1

BUILT IN - ARTICLE INTRO SECOND COMPONENT
Resumen

Formato y versión compatibles del modelo de TensorFlow 2 para el kit de herramientas OpenVINO™

Descripción
  • No se puede convertir el modelo TensorFlow 2.4.1 no congelado con el kit de herramientas OpenVINO™ 2020.3:
    python3 mo_tf.py --input_model .pb

  • Error recibido:
    [ ERROR ] Exception occurred during running replacer "REPLACEMENT_ID" (): Unexpected exception happened during extracting attributes for node Adam/dense_11/bias/v/Read/ReadVariableOp.
    Original exception message: 'ascii' codec can't decode byte 0xcc in position 1: ordinal not in range(128)

Resolución

Los modelos TensorFlow 2.x eran compatibles a partir de OpenVINO™ Toolkit 2020.4.

Actualice a OpenVINO™ Toolkit 2020.4 o posterior.

TensorFlow 2.x es oficialmente compatible con dos formatos de modelo: SavedModel y Partenes H5 (o HDF5)

Consulte Convertir TensorFlow 2 a IR

Productos relacionados

Este artículo se aplica a 1 productos

El contenido de esta página es una combinación de la traducción humana y automática del contenido original en inglés. Este contenido se ofrece únicamente para su comodidad como información general y no debe considerarse completa o precisa. Si hay alguna contradicción entre la versión en inglés de esta página y la traducción, prevalecerá la versión en inglés. Consulte la versión en inglés de esta página.